<?php

$MyHost = "localhost";
$MyLogin = "root";
$MyPassword = "quazar123";
$MyDatabase = "preforsadb2"; //imbextestdb //pulzar_pruebadb
//$link=mysql_connect($MyHost, $MyLogin, $MyPassword) or die ('Ha fallado la conexión: '.mysql_error());
//mysql_query("SET NAMES utf8");
//mysql_select_db($MyDatabase, $link) or die ('Error al seleccionar la Base de Datos: '.mysql_error());

global $MyHost, $MyLogin, $MyPassword, $MyDatabase;
   
if (!($link = mysqli_connect($MyHost, $MyLogin, $MyPassword))) 
{ 
echo "Error conectando a la base de datos.<br>"; 
}

/* cambiar el conjunto de caracteres a utf8 */
mysqli_set_charset($link, "utf8");

if (!mysqli_select_db($link, $MyDatabase)) 
{ 
echo "Error seleccionando la base de datos.<br>"; 
}

$mysqli = new mysqli($MyHost, $MyLogin, $MyPassword, $MyDatabase); 
	
if(mysqli_connect_errno()){
    echo 'Conexion Fallida : ', mysqli_connect_error();
    exit();
}

/* cambiar el conjunto de caracteres a utf8 */
$mysqli->set_charset("utf8");
?>